#!/bin/bash

SEED="NiO"
NP=2
WANNIER=/home/krzych/Programs/wannier90-2.0.0/wannier90.x
W90CHK2CHK=/home/krzych/Programs/wannier90-2.0.0/w90chk2chk.x
############################## INITIAL CALCULTAION #############################
#mpirun -np ${NP} pw.x -npool ${NP} < ${SEED}_scf_input > ${SEED}_scf_output

echo "mpirun -np ${NP} pw.x -npool ${NP} < ${SEED}_scf_input > ${SEED}_scf_output"
###############################DOS PDOS ########################################
#dos.x < ${SEED}_produce_dos > ${SEED}_OUTPUT_DOS

echo "dos.x < ${SEED}_produce_dos > ${SEED}_OUTPUT_DOS"
############################### BAND ###########################################
#produce band structure
#1) produce k_points
#x.kpath < ${SEED}_k_path_input > ${SEED}_OUT.kpath

#2) add k_points
cp ${SEED}_nscf_bs_input_template  ${SEED}_nscf_bs_input
cat ${SEED}-kpath.dat >> ${SEED}_nscf_bs_input

#3) nscf calculation
#mpirun -np ${NP} pw.x -npool ${NP} < ${SEED}_nscf_bs_input > ${SEED}_nscf_bs_output

#4) prepare band structure to plot
#qebs.pl -i ${SEED}_nscf_bs_input  -o  ${SEED}_nscf_bs_output   -p ${SEED} -b 15 -s 1

echo "BAND -- DONE"
############################### PDOS ###########################################
#projwfc.x  < ${SEED}_produce_pdos > ${SEED}_OUT.pdos

echo "projwfc.x  < ${SEED}_produce_pdos > ${SEED}_OUT.pdos"
############################### WANNIER ORBITALS ###############################
cp ${SEED}_nscf_input_template ${SEED}_nscf_input
echo "9*9*9"| bc -l >> ${SEED}_nscf_input
#k-mesh 9 9 9 >> ${SEED}_nscf_input

#mpirun -np ${NP} pw.x -npool ${NP} < ${SEED}_nscf_input > ${SEED}_nscf_output

#echo "mpirun -np ${NP} pw.x -npool ${NP} < ${SEED}_nscf_input > ${SEED}_nscf_output"


${WANNIER} -pp ${SEED}
mpirun -np ${NP}   pw2wannier90.x < ${SEED}.pw2wan > ${SEED}.pw2wan.out
${WANNIER} ${SEED}

${W90CHK2CHK} -export ${SEED}
